### GET /template Source: https://userapi.vdsina.ru/openapi.yaml A list of operating system templates available for installing or reinstalling the server. The data is an array of objects, the active flag indicates the possibility of ordering a server with a specific OS template. The ssh-key flag indicates the ability to use authorization using a custom SSH key in a specific template. The server-plan array contains the ID of tariff plans for which the installation of a server with a specific OS template is available. It is also necessary to pay attention to the minimum system requirements of the OS template: the following are specified in the limits object parameters: minimum number of processors/cores – cpu, minimum number RAM in GB is ram, the minimum amount of space for a disk partition in GB is disk. ```markdown ### Responses #### 200 - OK - **status** (string) - **status_msg** (string) - **data** (array (object)) Array items: - **id** (integer): Template ID (example: 1) - **name** (string): Template name (example: "CentOS 8 x64") - **active** (boolean): Template status (example: true) - **ssh-key** (boolean): Template can use SSH key for installation (example: true) - **server-plan** (array (integer)): List of available tariffs for this template (example: [10,11]) - **limits** (object) - **cpu** (object): Minumum CPUs for this template - **min** (integer) (example: 1) - **ram** (object): Minumum RAM for this template - **min** (integer) (example: 1) - **disk** (object): Minumum Storage for this template - **min** (integer) (example: 5) #### 4XX - Client errors - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions - **generic** (array (array (string))) #### 5XX - Server errors - **status** (string) - **status_msg** (string) #### default - Other generic HTTP statuses **Generic** - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions ### Example Usage ```bash curl -X GET "https://userapi.vdsina.ru/v1/template" ``` ``` -------------------------------- ### GET /iso/{KEY} Source: https://userapi.vdsina.ru/openapi.yaml API endpoint for GET /iso/{KEY} ```markdown ### Parameters - **KEY** (string (string), path, required): ISO download job KEY ### Responses #### 200 - OK - **status** (string) - **status_msg** (string) - **data** (object) - **status** (string (processing|done|error)): Download job status ("processing"|"done"|"error") - **description** (string): Additional description #### 4XX - Client errors - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions - **generic** (array (array (string))) #### 5XX - Server errors - **status** (string) - **status_msg** (string) #### default - Other generic HTTP statuses **Generic** - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions ### Example Usage ```bash curl -X GET "https://userapi.vdsina.ru/v1/iso/{KEY}" ``` ``` -------------------------------- ### GET /iso Source: https://userapi.vdsina.ru/openapi.yaml API endpoint for GET /iso ```markdown ### Responses #### 200 - OK - **status** (string) - **status_msg** (string) - **data** (array (object)) Array items: - **id** (integer): Service ID (example: 12345) - **name** (string): Service name (example: "systemrescuecd-6.0.3.iso") - **full_name** (string): Service full name (example: "ISO #12345 – systemrescuecd-6.0.3.iso") - **created** (string (date)): Service create date - **updated** (string (date)): Service update date - **end** (string (date)): Service end date - **status** (string (new|active|block|notpaid|deleted)): Service global statuses: * 'new' – ordered, but not yet created, * 'active' – service is active and running, * 'block' – blocked by the administration, * 'notpaid' – service is blocked for non-payment, * 'deleted' – the service has been deleted. In addition to the status, there may be an additional status in the status_text field. It contains a description of the action that is being performed with service at the moment. (example: "active") ("new"|"active"|"block"|"notpaid"|"deleted") - **status_text** (string): Service status description - **file** (object): File information - **size** (string): File size (example: "841 Mb") - **md5** (string): File MD5 checksum (example: "6ac22a9cbafdf20da92cba0f1b4e86b6") - **attached** (boolean): Is ISO attached to any server or not (example: true) - **server** (object): Server ISO attached to - **id** (integer): Server ID (example: 1234567) - **name** (string): Server name (example: "Server #1234567") - **can** (object) - **delete** (boolean): Ability to delete service (example: true) #### 4XX - Client errors - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions - **generic** (array (array (string))) #### 5XX - Server errors - **status** (string) - **status_msg** (string) #### default - Other generic HTTP statuses **Generic** - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions ### Example Usage ```bash curl -X GET "https://userapi.vdsina.ru/v1/iso" ``` ``` -------------------------------- ### GET /server Source: https://userapi.vdsina.ru/openapi.yaml API endpoint for GET /server ```markdown ### Responses #### 200 - OK - **status** (string) - **status_msg** (string) - **data** (array (object)) Array items: - **id** (integer): Server ID (example: 12345) - **name** (string): Server name (example: "Server #12345") - **full_name** (string): Service name (example: "Server 2 RAM / 1 CPU / 40 NVMe #12345") - **created** (string (date)): Service create date - **updated** (string (date)): Service update date - **end** (string (date)): Service end date - **status** (string (new|active|block|notpaid|deleted)): Service global statuses: * 'new' – ordered, but not yet created, * 'active' – service is active and running, * 'block' – blocked by the administration, * 'notpaid' – service is blocked for non-payment, * 'deleted' – the service has been deleted. In addition to the status, there may be an additional status in the status_text field. It contains a description of the action that is being performed with service at the moment. (example: "active") ("new"|"active"|"block"|"notpaid"|"deleted") - **status_text** (string): Service status description - **ip** (object): IPv4 - **id** (integer): IP ID (example: 1234567) - **ip** (string (ipv4)): IP address (example: "91.84.101.78") - **type** (string (4)): IP type (example: "4") ("4") - **server-plan** (object) - **id** (integer): Tariff plan ID (example: 1) - **name** (string): Tariff plan name (example: "2 RAM / 1 CPU / 40 NVMe") - **template** (object) - **id** (integer): OS template ID (example: 23) - **name** (string): OS template name (example: "Ubuntu 24.04") - **datacenter** (object) - **id** (integer): Datacenter ID (example: 1) - **name** (string): Datacenter name (example: "Amsterdam 1, Netherlands") - **country** (string): Datacenter country (example: "nl") - **can** (object) - **reboot** (boolean): Ability to reboot server (example: true) - **update** (boolean): Ability to update server (example: true) - **delete** (boolean): Ability to delete server (example: true) - **prolong** (boolean): Ability to prolong server (example: false) #### 4XX - Client errors - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions - **generic** (array (array (string))) #### 5XX - Server errors - **status** (string) - **status_msg** (string) #### default - Other generic HTTP statuses **Generic** - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions ### Example Usage ```bash curl -X GET "https://userapi.vdsina.ru/v1/server" ``` ``` -------------------------------- ### GET /backup Source: https://userapi.vdsina.ru/openapi.yaml API endpoint for GET /backup ```markdown ### Responses #### 200 - OK - **status** (string) - **status_msg** (string) - **data** (object) - **id** (integer): Backup ID (example: 290230) - **name** (string): Backup name (example: "v283946.server") - **full_name** (string): Backup service name (example: "Backup #290230 – v283946.server (40 Gb)") - **created** (string (date)): Service create date (example: "2025-02-21 12:26:32") - **updated** (string (date)): Service update date (example: "2025-02-21 12:28:24") - **end** (string (date)): Service end date (example: "2025-02-22 12:28:23") - **status** (string (new|active|block|notpaid|deleted)): Service global statuses: * 'new' – ordered, but not yet created, * 'active' – service is active and running, * 'block' – blocked by the administration, * 'notpaid' – service is blocked for non-payment, * 'deleted' – the service has been deleted. In addition to the status, there may be an additional status in the status_text field. It contains a description of the action that is being performed with service at the moment. (example: "active") ("new"|"active"|"block"|"notpaid"|"deleted") - **status_text** (string): Service status description (example: "Creation (9%) Processing") - **datacenter** (object) - **id** (integer): Datacenter ID (example: 1) - **name** (string): Datacenter name (example: "Amsterdam 1, Netherlands") - **country** (string): Datacenter country (example: "nl") - **server** (object): Parent server data, when backup creating process is active (backup status new) - **id** (integer): Server ID (example: 283946) - **name** (string): Server name (example: "v283946.server") - **can** (object) - **update** (boolean): Ability to update service (example: true) - **prolong** (boolean): Ability to prolong service (example: false) - **delete** (boolean): Ability to delete service (example: true) #### 4XX - Client errors - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions - **generic** (array (array (string))) #### 5XX - Server errors - **status** (string) - **status_msg** (string) #### default - Other generic HTTP statuses **Generic** - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions ### Example Usage ```bash curl -X GET "https://userapi.vdsina.ru/v1/backup" ``` ``` -------------------------------- ### GET /server-plan/{groupID} Source: https://userapi.vdsina.ru/openapi.yaml The list of tariff plans for servers is returned by the ID of tariff plan group. The data is an array of objects, the active and enable flags indicate the possibility of ordering a server with a specific tariff plan. The data object contains brief characteristics of the tariff plan. The cost and period fields contain the price of the tariff for the specified period (usually 1 day). The min_money field indicates how much funds you need to have on the main balance to order the tariff, the can_bonus flag indicates the ability to pay the tariff with funds from the bonus balance. The data object stores the full composition of the tariff plan: cpu – the number of processors/ cores, ram – the amount of RAM in GB, disk – the number of disk space in GB, traff – the amount of traffic included in the tariff plan for 1 calendar month in GB. The has_params parameter stores the attribute of the constructor tariff, in this case additionally, the tariff may have a params object with data on the possible composition the final tariff and the cost of individual parameters of the tariff plan. Total cost such a tariff consists of the cost of the tariff plan itself and the total the cost of all added tariff parameters. ```markdown ### Parameters - **groupID** (integer, path, required): Tariff plan group ID ### Responses #### 200 - OK - **status** (string) - **status_msg** (string) - **data** (array (object)) Array items: - **id** (integer): Plan ID (example: 13) - **name** (string): Plan name (example: "Cloud") - **cost** (number): Plan cost with client discounts (example: 1.55) - **full_cost** (number): Plan full cost (example: 1.75) - **period** (string): Plan billing period - **min_money** (number): Minimal balance for order this plan (example: 10) - **can_bonus** (boolean): Can pay with bonuses when order this plan (example: true) - **description** (string): Plan description (example: "Base tariff plan") - **server-group** (integer): Tariff plan group ID (example: 11) - **active** (boolean): Plan status (example: true) - **enable** (boolean): Plan status (example: true) - **data** (object): Tariff/server specifications - **cpu** (object): Count of CPUs included in this tariff plan or server - **value** (integer) (example: 1) - **for** (string) - **ram** (object): Amount of RAM included in this tariff plan or server - **value** (number) (example: 2) - **bytes** (integer) (example: 2147483648) - **for** (string) - **disk** (object): Amount of storage included in this tariff plan or server - **value** (integer) (example: 40) - **bytes** (integer) (example: 42949672960) - **for** (string) - **gpu** (object): Count of GPUs included in this tariff plan or server - **value** (integer) (example: 1) - **for** (string) - **traff** (object): Amount of network bandwidth included in this tariff plan or server - **value** (integer) (example: 32) - **bytes** (integer) (example: 35184372088832) - **for** (string) - **backup** (object): Backup cost for this tariff plan - **cost** (number): Backup cost per Gb with client discounts (example: 1.55) - **full_cost** (number): Backup full cost per Gb (example: 1.75) - **period** (string): Backup billing period - **for** (string) - **has_params** (boolean): When true this plan has expandable params (example: true) - **params** (object): Expandable params for this tariff plan - **cpu** (object): Expandable CPUs data for this tariff plan - **min** (integer) (example: 4) - **max** (integer) (example: 128) - **step** (integer) - **for** (string) - **cost** (number): CPU cost per core with client discounts (example: 1.05) - **full_cost** (number): CPU full cost per core (example: 1.15) - **period** (string): Billing period - **st_bonus** (boolean): Can pay with bonuses when order this plan - **ram** (object): Expandable RAM data for this tariff plan - **min** (integer) (example: 4) - **max** (integer) (example: 512) - **step** (integer) - **ram_for_cpu** (integer): RAM to CPU ratio - **for** (string) - **cost** (number): RAM cost per Gb with client discounts (example: 0.65) - **full_cost** (number): RAM full cost per Gb (example: 0.85) - **period** (string): Billing period - **st_bonus** (boolean): Can pay with bonuses when order this plan - **disk** (object): Expandable Storage data for this tariff plan - **min** (integer) (example: 5) - **max** (integer) (example: 2000) - **step** (integer) - **for** (string) - **cost** (number): Storage cost per Gb with client discounts (example: 0.55) - **full_cost** (number): Storage full cost per Gb (example: 0.55) - **period** (string): Billing period - **st_bonus** (boolean): Can pay with bonuses when order this plan - **ip4** (object): Ability to attach IPv4 - **cost** (number): IPv4 cost with client discounts (example: 0.07) - **full_cost** (number): IPv4 full cost (example: 0.08) - **period** (string): Billing period - **st_bonus** (boolean): Can pay with bonuses when order this plan #### 4XX - Client errors - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions - **generic** (array (array (string))) #### 5XX - Server errors - **status** (string) - **status_msg** (string) #### default - Other generic HTTP statuses **Generic** - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions ### Example Usage ```bash curl -X GET "https://userapi.vdsina.ru/v1/server-plan/{groupID}" ``` ``` -------------------------------- ### GET /iso/{isoID} Source: https://userapi.vdsina.ru/openapi.yaml API endpoint for GET /iso/{isoID} ```markdown ### Parameters - **isoID** (integer, path, required): ISO service ID ### Responses #### 200 - OK - **status** (string) - **status_msg** (string) - **data** (object) - **id** (integer): Service ID (example: 12345) - **name** (string): Service name (example: "systemrescuecd-6.0.3.iso") - **full_name** (string): Service full name (example: "ISO #12345 – systemrescuecd-6.0.3.iso") - **created** (string (date)): Service create date - **updated** (string (date)): Service update date - **end** (string (date)): Service end date - **status** (string (new|active|block|notpaid|deleted)): Service global statuses: * 'new' – ordered, but not yet created, * 'active' – service is active and running, * 'block' – blocked by the administration, * 'notpaid' – service is blocked for non-payment, * 'deleted' – the service has been deleted. In addition to the status, there may be an additional status in the status_text field. It contains a description of the action that is being performed with service at the moment. (example: "active") ("new"|"active"|"block"|"notpaid"|"deleted") - **status_text** (string): Service status description - **file** (object): File information - **size** (string): File size (example: "841 Mb") - **md5** (string): File MD5 checksum (example: "6ac22a9cbafdf20da92cba0f1b4e86b6") - **attached** (boolean): Is ISO attached to any server or not (example: true) - **server** (object): Server ISO attached to - **id** (integer): Server ID (example: 1234567) - **name** (string): Server name (example: "Server #1234567") - **can** (object) - **delete** (boolean): Ability to delete service (example: true) #### 4XX - Client errors - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions - **generic** (array (array (string))) #### 5XX - Server errors - **status** (string) - **status_msg** (string) #### default - Other generic HTTP statuses **Generic** - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions ### Example Usage ```bash curl -X GET "https://userapi.vdsina.ru/v1/iso/{isoID}" ``` ``` -------------------------------- ### GET /account Source: https://userapi.vdsina.ru/openapi.yaml The ID and name of the account, the date of creation and the shutdown forecast are returned (the date before which there are enough funds to pay for all services). The data of the shutdown forecast and balance are cached and changed only in case of real changes in accounts or services. The can object will list some account features: the ability to create new users, order new services, withdraw money from accounts. ```markdown ### Responses #### 200 - OK - **status** (string) - **status_msg** (string) - **data** (object) - **account** (object) - **id** (integer): Account ID (example: 12345) - **name** (string): Account name (example: "a12345") - **created** (string (date-time)): Account create date (example: "2022-02-24 10:28:23") - **forecast** (string (date)): The shutdown forecast date (example: "2029-02-20") - **can** (object) - **add_user** (boolean): Ability to create new user - **add_service** (boolean): Ability to order new services - **convert_to_cash** (boolean): Ability to withdraw money from partner balance #### 4XX - Client errors - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions - **generic** (array (array (string))) #### 5XX - Server errors - **status** (string) - **status_msg** (string) #### default - Other generic HTTP statuses **Generic** - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions ### Example Usage ```bash curl -X GET "https://userapi.vdsina.ru/v1/account" ``` ``` -------------------------------- ### GET /dns Source: https://userapi.vdsina.ru/openapi.yaml API endpoint for GET /dns ```markdown ### Responses #### 200 - OK - **status** (string) - **status_msg** (string) - **data** (array (object)) Array items: - **id** (integer): Domain ID (example: 290676) - **name** (string): Domain name (example: "test-domain.com") - **full_name** (string): Service name (example: "DNS #290676 – test-domain.com") - **created** (string (date)): Service create date - **updated** (string (date)): Service update date - **end** (string (date)): Service end date - **status** (string (new|active|block|notpaid|deleted)): Service global statuses: * 'new' – ordered, but not yet created, * 'active' – service is active and running, * 'block' – blocked by the administration, * 'notpaid' – service is blocked for non-payment, * 'deleted' – the service has been deleted. In addition to the status, there may be an additional status in the status_text field. It contains a description of the action that is being performed with service at the moment. (example: "active") ("new"|"active"|"block"|"notpaid"|"deleted") - **status_text** (string): Service status description - **real** (boolean): DNS servers correctly set up in domain NS records (example: true) - **can** (object) - **delete** (boolean): Ability to delete service (example: true) #### 4XX - Client errors - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions - **generic** (array (array (string))) #### 5XX - Server errors - **status** (string) - **status_msg** (string) #### default - Other generic HTTP statuses **Generic** - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions ### Example Usage ```bash curl -X GET "https://userapi.vdsina.ru/v1/dns" ``` ``` -------------------------------- ### GET /account.balance Source: https://userapi.vdsina.ru/openapi.yaml All available balances are returned, main, bonus and partner, if there were no transactions on the account, the balance is not returned ```markdown ### Responses #### 200 - OK - **status** (string) - **status_msg** (string) - **data** (object) - **real** (string (number)): Real account balance (example: "105.00") - **bonus** (string (number)): Bonus balance (example: "10.08") - **partner** (string (number)): Affiliate program balance (example: "40.34") #### 4XX - Client errors - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions - **generic** (array (array (string))) #### 5XX - Server errors - **status** (string) - **status_msg** (string) #### default - Other generic HTTP statuses **Generic** - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions ### Example Usage ```bash curl -X GET "https://userapi.vdsina.ru/v1/account.balance" ``` ``` -------------------------------- ### GET /backup/{backupID} Source: https://userapi.vdsina.ru/openapi.yaml API endpoint for GET /backup/{backupID} ```markdown ### Parameters - **backupID** (integer, path, required): Backup ID ### Responses #### 200 - OK - **status** (string) - **status_msg** (string) - **data** (object) - **id** (integer): Backup ID (example: 290230) - **name** (string): Backup name (example: "v283946.server") - **full_name** (string): Backup service name (example: "Backup #290230 – v283946.server (40 Gb)") - **created** (string (date)): Service create date (example: "2025-02-21 12:26:32") - **updated** (string (date)): Service update date (example: "2025-02-21 12:28:24") - **end** (string (date)): Service end date (example: "2025-02-22 12:28:23") - **status** (string (new|active|block|notpaid|deleted)): Service global statuses: * 'new' – ordered, but not yet created, * 'active' – service is active and running, * 'block' – blocked by the administration, * 'notpaid' – service is blocked for non-payment, * 'deleted' – the service has been deleted. In addition to the status, there may be an additional status in the status_text field. It contains a description of the action that is being performed with service at the moment. (example: "active") ("new"|"active"|"block"|"notpaid"|"deleted") - **status_text** (string): Service status description (example: "Creation (9%) Processing") - **datacenter** (object) - **id** (integer): Datacenter ID (example: 1) - **name** (string): Datacenter name (example: "Amsterdam 1, Netherlands") - **country** (string): Datacenter country (example: "nl") - **server** (object): Parent server data, when backup creating process is active (backup status new) - **id** (integer): Server ID (example: 283946) - **name** (string): Server name (example: "v283946.server") - **can** (object) - **update** (boolean): Ability to update service (example: true) - **prolong** (boolean): Ability to prolong service (example: false) - **delete** (boolean): Ability to delete service (example: true) #### 4XX - Client errors - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions - **generic** (array (array (string))) #### 5XX - Server errors - **status** (string) - **status_msg** (string) #### default - Other generic HTTP statuses **Generic** - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions ### Example Usage ```bash curl -X GET "https://userapi.vdsina.ru/v1/backup/{backupID}" ``` ``` -------------------------------- ### GET /dns/{serviceID} Source: https://userapi.vdsina.ru/openapi.yaml API endpoint for GET /dns/{serviceID} ```markdown ### Parameters - **serviceID** (integer, path, required): DNS Service ID ### Responses #### 200 - OK - **status** (string) - **status_msg** (string) - **data** (object) - **id** (integer): Domain ID (example: 290676) - **name** (string): Domain name (example: "test-domain.com") - **full_name** (string): Service name (example: "DNS #290676 – test-domain.com") - **created** (string (date)): Service create date - **updated** (string (date)): Service update date - **end** (string (date)): Service end date - **status** (string (new|active|block|notpaid|deleted)): Service global statuses: * 'new' – ordered, but not yet created, * 'active' – service is active and running, * 'block' – blocked by the administration, * 'notpaid' – service is blocked for non-payment, * 'deleted' – the service has been deleted. In addition to the status, there may be an additional status in the status_text field. It contains a description of the action that is being performed with service at the moment. (example: "active") ("new"|"active"|"block"|"notpaid"|"deleted") - **status_text** (string): Service status description - **real** (boolean): DNS servers correctly set up in domain NS records (example: true) - **can** (object) - **delete** (boolean): Ability to delete service (example: true) #### 4XX - Client errors - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions - **generic** (array (array (string))) #### 5XX - Server errors - **status** (string) - **status_msg** (string) #### default - Other generic HTTP statuses **Generic** - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions ### Example Usage ```bash curl -X GET "https://userapi.vdsina.ru/v1/dns/{serviceID}" ``` ``` -------------------------------- ### GET /backup.schedule/{serviceID} Source: https://userapi.vdsina.ru/openapi.yaml API endpoint for GET /backup.schedule/{serviceID} ```markdown ### Parameters - **serviceID** (integer, path, required): Service ID (server or external disk) ### Responses #### 200 - OK - **status** (string) - **status_msg** (string) - **data** (object) - **day** (object): Daily backups - **type** (string (day)) (required): Schedule type (example: "day") ("day") - **left** (integer) (required): How many backups stays after rotation (example: 1) - **hour** (integer) (required): Hour for start, night time (example: 2) - **week** (object): Weekly backups - **type** (string (week)) (required): Schedule type (example: "week") ("week") - **left** (integer) (required): How many backups stays after rotation (example: 1) - **day** (integer) (required): Day of week, 1 is for Monday (example: 4) - **hour** (integer) (required): Hour for start, night time (example: 2) - **month** (object): Monthly backups - **type** (string (month)) (required): Schedule type (example: "month") ("month") - **left** (integer) (required): How many backups stays after rotation (example: 1) - **day** (integer) (required): Day of month (example: 4) - **hour** (integer) (required): Hour for start, night time (example: 2) #### 4XX - Client errors - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions - **generic** (array (array (string))) #### 5XX - Server errors - **status** (string) - **status_msg** (string) #### default - Other generic HTTP statuses **Generic** - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions ### Example Usage ```bash curl -X GET "https://userapi.vdsina.ru/v1/backup.schedule/{serviceID}" ``` ``` -------------------------------- ### GET /server/{serverID} Source: https://userapi.vdsina.ru/openapi.yaml API endpoint for GET /server/{serverID} ```markdown ### Parameters - **serverID** (integer, path, required): Server ID ### Responses #### 200 - OK - **status** (string) - **status_msg** (string) - **data** (object) - **id** (integer): Server ID (example: 12345) - **name** (string): Server name (example: "Server #12345") - **full_name** (string): Service name (example: "Server 2 RAM / 1 CPU / 40 NVMe #12345") - **created** (string (date)): Service create date - **updated** (string (date)): Service update date - **end** (string (date)): Service end date - **status** (string (new|active|block|notpaid|deleted)): Service global statuses: * 'new' – ordered, but not yet created, * 'active' – service is active and running, * 'block' – blocked by the administration, * 'notpaid' – service is blocked for non-payment, * 'deleted' – the service has been deleted. In addition to the status, there may be an additional status in the status_text field. It contains a description of the action that is being performed with service at the moment. (example: "active") ("new"|"active"|"block"|"notpaid"|"deleted") - **status_text** (string): Service status description - **autoprolong** (boolean): Automatic prolongation (example: true) - **autorun** (boolean): Automatic server start (example: true) - **ip** (object): IPv4 - **id** (integer): IP ID (example: 1234567) - **ip** (string (ipv4)): IP address (example: "91.84.101.78") - **type** (string (4)): IP type (example: "4") ("4") - **ip_local** (object) - **ip** (string (ipv4)): Local IP address (example: "10.13.2.172") - **netmask** (string (ipv4)): Local IP netmask (example: "255.255.0.0") - **mac** (string): Local interface MAC address (example: "56:00:00:04:55:2a") - **host** (string (hostname)): Server hostname (example: "super.server.host") - **data** (object): Tariff/server specifications - **cpu** (object): Count of CPUs included in this tariff plan or server - **value** (integer) (example: 1) - **for** (string) - **ram** (object): Amount of RAM included in this tariff plan or server - **value** (number) (example: 2) - **bytes** (integer) (example: 2147483648) - **for** (string) - **disk** (object): Amount of storage included in this tariff plan or server - **value** (integer) (example: 40) - **bytes** (integer) (example: 42949672960) - **for** (string) - **gpu** (object): Count of GPUs included in this tariff plan or server - **value** (integer) (example: 1) - **for** (string) - **traff** (object): Amount of network bandwidth included in this tariff plan or server - **value** (integer) (example: 32) - **bytes** (integer) (example: 35184372088832) - **for** (string) - **server-plan** (object) - **id** (integer): Tariff plan ID (example: 1) - **name** (string): Tariff plan name (example: "2 RAM / 1 CPU / 40 NVMe") - **template** (object) - **id** (integer): OS template ID (example: 23) - **name** (string): OS template name (example: "Ubuntu 24.04") - **datacenter** (object) - **id** (integer): Datacenter ID (example: 1) - **name** (string): Datacenter name (example: "Amsterdam 1, Netherlands") - **country** (string): Datacenter country (example: "nl") - **ssh-key** (object) - **id** (integer): SSH key ID (example: 1) - **name** (string): SSH key name (example: "Key #1") - **can** (object) - **reboot** (boolean): Ability to reboot server (example: true) - **update** (boolean): Ability to update server (example: true) - **delete** (boolean): Ability to delete server (example: true) - **prolong** (boolean): Ability to prolong server (example: false) - **backup** (boolean): Ability to create backup of server (example: true) - **ip_local** (boolean): Ability to create LAN for server (example: true) - **bandwidth** (object) - **current_month** (integer): Total traffic in bytes for current month (example: 1004500) - **last_month** (integer): Total traffic in bytes for previous month (example: 341094500) #### 4XX - Client errors - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions - **generic** (array (array (string))) #### 5XX - Server errors - **status** (string) - **status_msg** (string) #### default - Other generic HTTP statuses **Generic** - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions ### Example Usage ```bash curl -X GET "https://userapi.vdsina.ru/v1/server/{serverID}" ``` ``` -------------------------------- ### GET /datacenter Source: https://userapi.vdsina.ru/openapi.yaml A list of datacenters is returned in data array. The data is an array of objects, the active flag indicates the possibility of ordering a server in a specific datacenter. ```markdown ### Responses #### 200 - OK - **status** (string) - **status_msg** (string) - **data** (array (object)) Array items: - **id** (integer): Datacenter ID (example: 1) - **name** (string): Datacenter name (example: "Amsterdam 1") - **country** (string): Datacenter country (example: "nl") - **active** (boolean): Datacenter status (example: true) #### 4XX - Client errors - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions - **generic** (array (array (string))) #### 5XX - Server errors - **status** (string) - **status_msg** (string) #### default - Other generic HTTP statuses **Generic** - **status** (string) - **status_msg** (string) - **description** (string) - **data** (object): Additional properties and their error descriptions ### Example Usage ```bash curl -X GET "https://userapi.vdsina.ru/v1/datacenter" ``` ```